OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.VertexWeighting

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_vertex_weighting extension, see http://www.opengl.org/registry/specs/EXT/vertex_weighting.txt.

Synopsis

- glVertexWeightf :: GLfloat -> IO ()
- glVertexWeightfv :: Ptr GLfloat -> IO ()
- glVertexWeightPointer :: GLint -> GLenum -> GLsizei -> Ptr a -> IO ()
- gl_VERTEX_WEIGHTING :: GLenum
- gl_MODELVIEW0 :: GLenum
- gl_MODELVIEW1 :: GLenum
- gl_MODELVIEW0_MATRIX :: GLenum
- gl_MODELVIEW1_MATRIX :: GLenum
- gl_CURRENT_VERTEX_WEIGHT :: GLenum
- gl_VERTEX_WEIGHT_ARRAY :: GLenum
- gl_VERTEX_WEIGHT_ARRAY_SIZE :: GLenum
- gl_VERTEX_WEIGHT_ARRAY_TYPE :: GLenum
- gl_VERTEX_WEIGHT_ARRAY_STRIDE :: GLenum
- gl_MODELVIEW0_STACK_DEPTH :: GLenum
- gl_MODELVIEW1_STACK_DEPTH :: GLenum
- gl_VERTEX_WEIGHT_ARRAY_POINTER :: GLenum

# Functions

glVertexWeightf :: GLfloat -> IO ()Source

glVertexWeightfv :: Ptr GLfloat -> IO ()Source

glVertexWeightPointer :: GLint -> GLenum -> GLsizei -> Ptr a -> IO ()Source

# Tokens

gl_VERTEX_WEIGHTING :: GLenum Source

gl_MODELVIEW0 :: GLenum Source

gl_MODELVIEW1 :: GLenum Source

gl_MODELVIEW0_MATRIX :: GLenum Source

gl_MODELVIEW1_MATRIX :: GLenum Source

gl_CURRENT_VERTEX_WEIGHT :: GLenum Source

gl_VERTEX_WEIGHT_ARRAY :: GLenum Source

gl_VERTEX_WEIGHT_ARRAY_SIZE :: GLenum Source

gl_VERTEX_WEIGHT_ARRAY_TYPE :: GLenum Source

gl_VERTEX_WEIGHT_ARRAY_STRIDE :: GLenum Source

gl_MODELVIEW0_STACK_DEPTH :: GLenum Source

gl_MODELVIEW1_STACK_DEPTH :: GLenum Source

gl_VERTEX_WEIGHT_ARRAY_POINTER :: GLenum Source